# -*- text -*-

----------------------------------------------------------------------

Changes: V5.7.2.rc3 -> V5.7.2

commit 5054b570619df0a81958a045bef135b20205f036
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Tue Oct 9 15:26:05 2012 -0700

    make depend for 5.7.2

commit 56a797ff3e71dc886467d17ce025b0237c8c1cc3
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Tue Oct 9 14:42:23 2012 -0700

    Version number update: 5.7.2

commit 0813f8b62df0e8440ffef161ce134ff9455e7de9
Author: Jan Safranek <jsafrane@redhat.com>
Date:   Tue Oct 9 06:33:58 2012 -0700

    fix double-negative typo
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit a6a88927534684e275ccf0e780513094a73fc6bb
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue Oct 9 06:31:21 2012 -0700

    AIX net-snmp5.7.1 hrSWRunPath not complete
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit 58a4d8839021f772c35a732bd096d1e290dc0a62
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue Oct 9 06:30:57 2012 -0700

    AIX net-snmp5.7.1 hrSWRunPath not complete
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit 626eabec4ea98e5359089790858479a59a26cdcb
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Sun Sep 30 23:30:28 2012 +0200

    CHANGES: snmplib: Move the check that the pdu variable is non-NULL to before the first dereference of it.

commit 68aab572c2d2746b51a95eba110568c38b050808
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Tue Sep 25 19:07:42 2012 -0700

    Release Candidate for V5-7-patches

commit 0a41533b1b49f00d7357a3d2bea5dfa75e8edcd7
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Mon Sep 24 00:07:19 2012 +0200

    CHANGES: testing: Add test cases for snmp_service

commit a61b48d78e11d945def46fde0f7d55f7919c335a
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Sun Sep 23 07:53:09 2012 +0200

    Prefer copy_nword_const over copy_nword(NETSNMP_REMOVE_CONST

commit 9bffc5413d0d882398b06f4109ac807af2f78347
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Sun Sep 23 00:29:44 2012 +0200

    Simplify logging through the use of netsnmp_config_error

commit d09d53a0fa6df63b21e6f12731bee51a3624e85e
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Sat Sep 22 21:30:08 2012 +0200

    CHANGES: snmplib: Do not crash on incomplete configuration tokens.

commit 02dce6f43b99f85941627928c1a5022d6725d124
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Sat Sep 22 21:28:51 2012 +0200

    CHANGES: snmplib: Do not truncate single default transport domains

commit 211e3c70625965441b2a029a6113802974673c43
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Sat Sep 22 11:23:19 2012 +0200

    CHANGES: snmplib: Do not crash from empty values in --token=value arguments

commit af3d2d973b1e8e29d205d8a07acd82b1f854819e
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Sat Sep 22 10:30:16 2012 +0200

    CHANGES: snmplib: Add the symbol NETSNMP_PRIo to help in printing oid values.

----------------------------------------------------------------------

Changes: V5.7.2.rc2 -> V5.7.2.rc3

commit 8b45292301f0349ffb69d4fd8595f2d5b199e6b6
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Tue Sep 25 19:35:39 2012 -0700

    make depend for 5.7.2.rc3

commit 0cbffb565e62aef937fc700d8d3c3b8c65ddfa65
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Tue Sep 25 19:07:40 2012 -0700

    Version number update: 5.7.2.rc3

commit 40505971add6a3b6f5954cfbde532749bfbcb16a
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Sep 17 13:34:37 2012 -0700

    fix for hidden CMSG_xxx macros on AIX
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit 60f0a9e983ab827c824e397d62aeff48a60f0133
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Sep 17 13:31:12 2012 -0700

    Fix pstat memory leak on hpux 11i
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit 13bd4d56baa9886018a00477e3214ebe02705ffe
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Sep 17 13:31:04 2012 -0700

    Fix pstat memory leak on hpux 11i
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit 0805420813de156c7fc5142534fb420a0fcc3572
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Sep 17 13:28:59 2012 -0700

    fixes AT code on hpux 11i
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit bdb3b146380db1316cabd58b704436e7eecdd9f5
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Sep 17 13:28:50 2012 -0700

    fixes AT code on hpux 11i
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit e936cf810a47379156d913a714e3816181a0d3db
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Sep 17 13:25:20 2012 -0700

    fixes disAvail on FreeBSD ufs
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit 608ab57887e5566e63509a3f7e5d0a3e2892f4a7
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Sep 17 13:25:02 2012 -0700

    fixes disAvail on FreeBSD ufs
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

----------------------------------------------------------------------

Changes: V5.7.2.rc1 -> V5.7.2.rc2

commit 07f914564e097224d677515c2f5fd1f3c0c9eb42
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Sat Sep 1 09:54:42 2012 -0700

    Release Candidate for V5-7-patches

commit aee217c07ea9f34a32268e966c7ecef036ec4a96
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Sat Sep 1 09:54:38 2012 -0700

    Version number update: 5.7.2.rc2

commit 119b0d3cf12c97ca3c74d6d1e72319670a8378aa
Author: Bill Fenner <fenner@users.sourceforge.net>
Date:   Sat Sep 1 09:51:08 2012 -0700

    CHANGES: libnetsnmp: PATCH 3560473: from fenner: Handle TimeTicks when pretty-printing OID
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit c94c62ea0edcebbfbb73fab6ecddc679f7694dab
Author: Bill Fenner <fenner@users.sourceforge.net>
Date:   Sat Sep 1 09:51:08 2012 -0700

    CHANGES: libnetsnmp: PATCH 3560473: from fenner: Handle TimeTicks when pretty-printing OID
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit 6d7f9eb0decdb9682836ffd03f19742197ad87db
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Aug 29 21:14:46 2012 +0200

    Fix possible memory overrun in fsys_getfsstats.c (patch 3559417)

commit f235ee8b32eed1de3f1e4202ef45b6377fbce163
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Aug 29 21:07:14 2012 +0200

    Fix for hrStorageTable on AIX (bug 3557159)

commit 78cc9d5ccd86b170622aac543c345c020755c78a
Author: sthen <sthen23934@users.sourceforge.net>
Date:   Tue Aug 28 17:18:09 2012 -0700

    add missing process status values under net/open-bsd
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit 4ef9dcd80b0bda1e18b7e349a08bc0f22a7e755e
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue Aug 28 17:16:37 2012 -0700

    CHANGES: OpenBSD: PATCH 3559414: from nba: support OpenBSD for hr_swinst
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit 0b569fccea9414c50cfd6b0e83e1831ba1291ce2
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue Aug 28 17:14:45 2012 -0700

    add missing process status values under net/open-bsd
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit 1d3c7be7fa7a38fd3fc39720bb5cb70f8bd71160
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue Aug 28 17:14:22 2012 -0700

    add missing process status values under net/open-bsd
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit ff438433aca096bbbea29dd30dfd5c5523761a72
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue Aug 28 16:50:46 2012 -0700

    Fix real memory reporting on BSD systems
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit c429a4f3984dae791e307df702251f96ef047d88
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue Aug 28 16:49:10 2012 -0700

    Fix real memory reporting on BSD systems
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit 41d980c015564db7f22f763190f61ac0d56ba3b2
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri Aug 24 14:35:53 2012 +0000

    Windows: Unbreak DLL build

commit 2793923bfe2b026fcaeaf538ae503f105cb315bc
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Mon Jan 3 22:26:20 2011 +0000

    added missing TLSTCP mention in the help output

----------------------------------------------------------------------

Changes: V5.7.2.pre3 -> V5.7.2.rc1

commit 9ec5c599780251dcd3155f9ac9806ece7ed6ba22
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Sat Aug 11 12:00:37 2012 -0700

    make depend for 5.7.2.rc1

commit 3358b65b11e2c0ee712f609f02071260f75f9bb3
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Sat Aug 11 11:39:38 2012 -0700

    Release Candidate for V5-7-patches

commit 4849a430daafb91c7a61bfbbc17f9299e58fcf64
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Sat Aug 11 11:39:35 2012 -0700

    Version number update: 5.7.2.rc1

commit 1bc268428e829852c9ef0a79552ca4045add28a3
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Aug 9 22:42:52 2012 +0200

    Make sure we have an initialized kvm structure when querying proc table on BSD.

commit 7e67c5038b6aabfda1939ea81d940b24000cfb51
Author: Jan Safranek <jsafranek@users.sourceforge.net>
Date:   Thu Aug 9 14:27:08 2012 +0200

    Removed error message when file cannot be opened.
    
    This should be handled by caller, not in the function. There is only one caller now, udp_endpoint_linux.c.

commit 59b0de0b8fa73eb403006cee75ff8651e1585e28
Author: Jan Safranek <jsafranek@users.sourceforge.net>
Date:   Thu Aug 9 14:23:14 2012 +0200

    Fix compilation errors introduced by commit f95df6341b1d06249443e516b59a43cdfa3d4777.
    
    This is embarassing, I compiled the sources without --enable-ipv6. Sorry for inconvenience.

commit 5d7edadd4761680b66d1df3bfde7ca5b16ca5a16
Author: Jan Safranek <jsafranek@users.sourceforge.net>
Date:   Thu Aug 9 12:46:35 2012 +0200

    Fix compilation error introduced by commit f95df6341b1d06249443e516b59a43cdfa3d4777.

commit 43c97bbaaf211f4c7f7c704cfcb901dfbf834874
Author: Jan Safranek <jsafranek@users.sourceforge.net>
Date:   Thu Aug 9 12:30:09 2012 +0200

    CHANGES: snmpd: Lowered severity of 'Error expanding XXX to 64bits' messages.

commit 8e5cf2a72a46cd483d22e6290a6c8c4c26af6ad2
Author: Jan Safranek <jsafranek@users.sourceforge.net>
Date:   Thu Aug 9 12:25:48 2012 +0200

    CHANGES: removed counter-64 error messages.
    
    These messages do not say enything useful, caller should check their return value and report it.

commit f95df6341b1d06249443e516b59a43cdfa3d4777
Author: Jan Safranek <jsafranek@users.sourceforge.net>
Date:   Thu Aug 9 12:01:25 2012 +0200

    CHANGES: snmpd: removed error log messages when IPv6 is disabled.

commit 18dace8e4a36b083d6ef717735c63e7f40224db8
Author: Jan Safranek <jsafranek@users.sourceforge.net>
Date:   Thu Aug 9 10:41:45 2012 +0200

    CHANGES: added CVFS (CentraVision File System) to hrStorageTable and hrFSTable.

commit 90f431b45d21506427bc0bd1d4ee69e0b8ea30bc
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Aug 8 23:10:50 2012 +0200

    Update to current MIB versions

commit 9e7a0b9e580d3b1ea6198a7414c816c23b123b10
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Aug 8 22:27:16 2012 +0200

    Use a wrking awk for Solaris

commit 0e3922ae21e4b7ec538867afd22ce74d741e0f1c
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Aug 8 22:17:34 2012 +0200

    fix prototype for klookup

commit a22109711a6d1ec14b6a3f1cac221d70263f104a
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Aug 8 22:08:13 2012 +0200

    fix prototypes for klookup

commit ac062972c585174f95d7ba87aa5ec54c42fdec55
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Aug 8 22:00:26 2012 +0200

    fix prototypes for klookup

commit 7cdd8ebef9507fe766107ca9fee054c44cc0bac5
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Aug 5 08:13:59 2012 +0000

    Make snmp_alarm_reset() use the monotonic clock. Fixes a bug introduced in commit 37ba7e2.

commit 023f61ea783bfcc53fe90aa66545c5aea2db8061
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Wed Aug 8 16:26:54 2012 +0000

    Fix build breakage caused by commit 028614ecf2d67398699dc3bd784029f3360f2e13

commit cd820949a1491af103a8555f6bdae04851f3d285
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Wed Aug 8 16:16:43 2012 +0000

    Undo build breakage caused by commit 37ba7e20a521fbf0458a0c77eea2e5e36bd7ec0a

commit f143008ccc57ea10cbb88ab3554822b17b6270aa
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Aug 5 08:45:42 2012 +0000

    Make get_exec_output() work on big endian systems.
    
    Undo API breakage introduced by commit 7374b84fe4c2ef8497fde3dae80a69aa89eba19c.

----------------------------------------------------------------------

Changes: V5.7.2.pre2 -> V5.7.2.pre3

commit 84322e0dc2a8974646542d9881bc01b43dc3a12d
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Tue Jul 31 16:24:07 2012 -0700

    make depend for 5.7.2.pre3

commit 8fec7a81d6133a5f05ed34a5af9806af5d128223
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Tue Jul 31 15:57:56 2012 -0700

    fix the assert check to allow for some known asserts

commit dfde6d2ddd519c8c2ae1788774fdf90d8bea02b1
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Mon Jul 30 10:08:24 2012 -0700

    include errno.h and don't use continue outside a loop

commit 7cffe0222cd98a21e30f44c3df9f0d90bf096fe9
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Tue Jul 31 14:13:50 2012 -0700

    Version number update: 5.7.2.pre3

commit 22af7fd46776a8db2362e88acb1b69b165c034b6
Author: blentz <blentz@users.sourceforge.net>
Date:   Tue Jul 31 13:52:40 2012 -0700

    CHANGES: aix: PATCH 3403433: from blentz: Issues with hrSWRunName and Parameters on AIX
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit 516b9f8275b8db03cdc41078e65c2170309a3f8b
Author: Julien Pinon <jpinon@users.sourceforge.net>
Date:   Tue Jul 31 13:25:31 2012 -0700

    CHANGES: perl: PATCH 3412939: from jpinon: Repair tkmib
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit 8f230f401c64d822883ac444624a2c2fd7128d8e
Author: Harsha Shivanna <naanuhs@users.sourceforge.net>
Date:   Tue Jul 31 13:22:11 2012 -0700

    CHANGES: libnetsnmp: PATCH 3552745: from naanuhs: fix to support 32 chars for VACM names as per RFC-2575
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit 34008d32aef43d8bbe1000fb9bf94642c0514f6f
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Tue Jul 31 13:20:31 2012 -0700

    fix the agentx ping patch so it works with the newer alarm structure names

commit 962676394d3fe557ead91057b4d780226dc0d6b3
Author: Mijo Safradin <mijos@users.sourceforge.net>
Date:   Tue Jul 31 12:48:01 2012 -0700

    CHANGES: agent: PATCH 3414051: from mijos: snmp-bridge-mib: fix for dot1dBaseTable
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit 37ba7e20a521fbf0458a0c77eea2e5e36bd7ec0a
Author: Vincent Bernat <vbernat@users.sourceforge.net>
Date:   Tue Jul 31 12:27:28 2012 -0700

    CHANGES: agent: PATCH 3481686: from vbernat: Dont ping master agent unless there is no incoming traffic
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit 2be5feadb0540846e0e3ada27efb97894a4cbd52
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Tue Jul 31 07:29:17 2012 -0700

    added a darwin 12 version

commit 1f9bcd21e7c2d5effb62aa01b7b87e43dc86214c
Author: Jan Safranek <jsafranek@users.sourceforge.net>
Date:   Tue Jul 31 14:43:27 2012 +0200

    Fixed SCTP-MIB::sctpAssocPrimProcess, the list of processes was not initialized.

commit 48be5e89aa04adb0df7e094b2fe463015429fc98
Author: Jan Safranek <jsafranek@users.sourceforge.net>
Date:   Tue Jul 31 13:48:31 2012 +0200

    Added log message when ipTable misses some interfaces.

commit 7523f0f01ba4db65ac1647a23228cf06c0b72a03
Author: Mariusz Ceier <mceier@users.sourceforge.net>
Date:   Mon Jul 30 10:19:33 2012 -0700

    CHANGES: libnetsnmp: PATCH 3536692: from mceier: create a unit test for read_config APIs
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit c07b8d9b3770b615c8e162dbdf7643805f372d75
Author: Mariusz Ceier <mceier@users.sourceforge.net>
Date:   Mon Jul 30 10:18:42 2012 -0700

    CHANGES: libnetsnmp: PATCH 3536692: from mceier: Fix for callback calling when unregistering config handler
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit 5c2424f07d85c0c4f79d6c5faf64d7f3ee861726
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Mon Jul 30 10:08:42 2012 -0700

    don't duplicate send_enterprise_trap_vars def

commit 7374b84fe4c2ef8497fde3dae80a69aa89eba19c
Author: Garrett Cooper <yaberauneya@users.sourceforge.net>
Date:   Mon Jul 30 09:41:17 2012 -0700

    CHANGES: freebsd: PATCH 3383970: from yaberauneya: Fix compile error on FreeBSD 9.x/POSIXify auto_nlist, etc
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit 670d96e786590fdd30a16a3300c0ed5bd6e53214
Author: Mark Rusk <user_id=349895@users.sourceforge.net>
Date:   Sun Jul 29 23:39:22 2012 -0700

    CHANGES: agent: PATCH 3424933: from user_id=349895: Use NETSNMP_DS_AGENT_AGENTX_TIMEOUT for the default timeout
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit f1eaec15ef603b8ce542932ffdbd8788c3d1acc5
Author: Daniel Hobi <hobid@users.sourceforge.net>
Date:   Sun Jul 29 23:28:01 2012 -0700

    CHANGES: agent: PATCH 3530794: from hobid: pass/pass_persist: unregister MIB with correct priority
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit d783ad990e914c0ee1c98d0a93a429eb2b2f4997
Author: Doug Manley <tekkamanendless@users.sourceforge.net>
Date:   Sun Jul 29 23:25:40 2012 -0700

    CHANGES: libnetsnmp: PATCH 3526599: from tekkamanendless: A buggy SNMPv3 agent can cause a net-snmp client to hang
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit e9851520c18d7ed172404a37dc0dc7a136bfaedd
Author: Daniel Evers <daniel-evers@users.sourceforge.net>
Date:   Sun Jul 29 23:14:19 2012 -0700

    CHANGES: libnetsnmp: PATCH 3548257: from daniel-evers: fix for recursive pthread mutexes
    
    Signed-off-by: Wes Hardaker <hardaker@users.sourceforge.net>

commit e7a37678c2b7359afd44a307e824c1f7d7a0c87d
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Sun Jul 29 21:35:35 2012 -0700

    NEWS: osx: patch: 3514049 from twobits-github: fix compilation on darwin11

commit 1221426abad15b9b2fcee8f1e32ab52ef2692952
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Fri Jul 27 14:18:24 2012 +0100

    CHANGES: perl: PATCHES: 3529541: Don't refer to internal 'my' variables from external scripts
    
    Fix provided by Lezz Giles

commit 9c06c2202dc056703c80959a0eca9a71684c28de
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Fri Jul 27 13:29:30 2012 +0100

    CHANGES: Linux: PATCHES: 3536420: Ensure snd/rcv memory buffers are suitably aligned
    
    Patch provided by Tyler Olmstead

commit 89b82c55f9efd2e8ab8c6d65fa567c5b1fac1843
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Fri Jul 27 13:14:07 2012 +0100

    "Idle" processes (i.e. in the process of being created) are probably
    best regarded as "waiting for an event" to become runnable - i.e. 'notRunnable(3)'
    That event being the completion of the creation process.
       It's arguable whether or not they are strictly "loaded", but
    this feels less misleading than reporting them as 'invalid(4)'

commit 6e780a5bf0d64bf47dfbf479ae7f56c10ff8166e
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Fri Jul 27 12:57:54 2012 +0100

    Clarify meaning of hrSWRunStatus 'invalid(4)'
    Ensure architecture-specific alternatives don't confuse code syntax

commit 99b353f7253a5bb38b86f31c2708e16b34a46ce7
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Fri Jul 27 12:50:51 2012 +0100

    Additional patch from Patch ID #3543000

commit d0e03fe4a236945daf42af7a47094e686f9bdb9e
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Fri Jul 27 12:41:02 2012 +0100

    CHANGES: snmpd: PATCHES: 3543000: Various fixes to Rmon code
    Supplied by Patrick Ritter

commit 6632a2b9b9fad1a0b0d6baedf2a2b391f5d4e914
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Thu Jul 26 14:39:42 2012 +0100

    CHANGES: perl: BUG: 3517030: Ensure large tables are walked properly

commit b8d16604dbb2f80ebe2852322aa83361a0323796
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Thu Jul 26 14:19:07 2012 +0100

    CHANGES: apps: BUG: 3529768: Be more careful when stripping off numeric suffixes

commit 0b3ad44ec4c1b9f41dc3ef70e6a38a53ef268ade
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Thu Jul 26 13:34:10 2012 +0100

    Fix comments describing FreeBSD relationships

commit 8cf7a89187a996faff040414986ffa5d78d5683e
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Thu Jul 26 13:21:56 2012 +0100

    CHANGES: build: BUG: 3532234: Fix typo in libtool script
    (addressed properly in libtool 2.4.2)

commit 4258d852ca7b6aeae93ad73064d43aa807eb6104
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Thu Jul 26 13:16:20 2012 +0100

    CHANGES: doc: BUG: 3535269: Document use of [snmp] for client-side tools.

commit 26ed40cbd07cf271a9cfc4517d964774712ad77c
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Thu Jul 26 12:57:56 2012 +0100

    Support local rollup of patches without first synchronising with extenal repo.

commit 904c442d60c5b99aacd7f60307c28684efae854c
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Thu Jul 26 12:53:37 2012 +0100

    CHANGES: python: BUG: 3535967: Fix memory leak - snmp_{sess_}error allocates the output buffer

commit 597ecda68ee2b580b666288977b04aa133207517
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Thu Jul 26 12:17:14 2012 +0100

    CHANGES: BUG: 3540621: dist: Add missing Provides: to net-snmp-perlmods RPM spec

commit 43d5ba224c3f29fd8e7fd1d060a17045aad7eff0
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Thu Jul 26 11:25:43 2012 +0100

    CHANGES: perl: BUG: 3541012: Fix handling of gettable columns

commit bc293acad8d3487cddef3c70cea74368f34d9354
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Thu Jul 26 11:20:20 2012 +0100

    CHANGES: snmpd: BUG: 3543864: Remove extraneous function type
    (and fix a related typo)

commit 028614ecf2d67398699dc3bd784029f3360f2e13
Author: Jan Safranek <jsafranek@users.sourceforge.net>
Date:   Tue Jul 24 15:37:16 2012 +0200

    CHANGES: snmpd: fixed snmpd exiting shortly after start due to incoming signal.

commit 4d38895f459a1df24f68c4a60e4caf6a778d8c1f
Author: Jan Safranek <jsafranek@users.sourceforge.net>
Date:   Wed Jun 27 09:35:44 2012 -0400

    CHANGES: snmpd: removed limit of 'exec' and 'sh' entries in snmpd.conf
    
    Use dynamic (re)allocation instead.

commit dceeacc998fe2322882e7eedec0a71a79dc494ab
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Tue Jul 24 09:00:23 2012 +0100

    Don't be surprised if there are no changes to various files

commit 56c3c078336cbf1bf09fd1b01078a9030717613e
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Wed Jul 11 08:47:13 2012 +0200

    CHANGES: snmpd: BUG 3542307: Correct sysORID for snmpMPDStats. Thanks to Dave Vucich for reporting this.

commit 61ecedc083f881db8a9a50d50bdeed36624ed307
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Wed Jul 11 00:21:27 2012 +0200

    CHANGES: snmpd: BUG 3542188: Correct sysORDescr for snmpUsmMIB. Thanks to Dave Vucich for reporting this.

commit 2f9ede419f40e848a2425389288cac0e2331b992
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Thu Jul 19 17:10:52 2012 +0100

    Fix example 'rsync' command for full releases

commit 6dd7884d99e756e2f22b688823ce1b1d526ad166
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Wed Jul 18 15:59:59 2012 +0100

    version update for 5.6.2

commit 976696a128e57b512bf7ad400d002368b4a9a871
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Wed Jul 18 14:34:31 2012 +0100

    V5-6-patches out of Release Candidate

commit 57c568d3d398172c5541fb31bb75d18fcce2e26f
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Wed Jul 18 14:34:15 2012 +0100

    Version number update: 5.6.2

commit 73d906bc7c98506fa2b4d6d290f7b3beba2e4a0d
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Wed Jul 18 11:12:58 2012 +0100

    version update for 5.5.2

commit 42b5afb3cd6d06adb426f1dbaa98358f2b2e8a53
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Wed Jul 18 10:46:47 2012 +0100

    V5-5-patches out of Release Candidate

commit 8bd440c43e365a0b77d47f582cade9f97c7bfce7
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Wed Jul 18 10:46:28 2012 +0100

    Version number update: 5.5.2

commit 6e0855a3157198499411ac52b46d5f32aad5b9fa
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Wed Jul 18 09:51:32 2012 +0100

    Add missing return type in function declaration

commit 07d825e8bb35eea9ac6b1cb82cbb234fe66b1ab6
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Wed Jul 18 09:51:32 2012 +0100

    Add missing return type in function declaration

commit 5db70036ef675635647e5b7c7253456838836647
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Wed Jul 11 14:55:38 2012 -0700

    don't use --rebase

commit d4c1549593ce2c2caeb98e5f8abfd7a5ae5a0273
Author: Jan Safranek <jsafranek@users.sourceforge.net>
Date:   Wed Jun 27 09:35:44 2012 -0400

    CHANGES: snmpd: removed limit of 'exec' and 'sh' entries in snmpd.conf
    
    Use dynamic (re)allocation instead.

----------------------------------------------------------------------

Changes: V5.7.2.pre1 -> V5.7.2.pre2

commit ffce49fb1ab4a78d4f2947be06d620f1424528fd
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Wed Jul 11 17:12:31 2012 -0700

    Version number update: 5.7.2.pre2

commit bd7c7297187818e5eef7327667e4a81f6c9fc89b
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Wed Jul 11 14:55:38 2012 -0700

    don't use --rebase

commit a715312e2ce49d4da93fc140cc39fc100b0b7978
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Wed Jul 11 15:47:22 2012 -0700

    updated for the previous 5.7.2.pre1 release

commit 17277689b629f4586d5d714d87ce6bc11f887668
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Wed Jul 11 14:55:38 2012 -0700

    don't use --rebase

commit 6786ffc76facf746afb6af25158f7940656ab39c
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Wed Jul 11 08:47:13 2012 +0200

    CHANGES: snmpd: BUG 3542307: Correct sysORID for snmpMPDStats. Thanks to Dave Vucich for reporting this.

commit f0e35d61f9258dc608da9bf718af1457a859fa19
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Wed Jul 11 00:21:27 2012 +0200

    CHANGES: snmpd: BUG 3542188: Correct sysORDescr for snmpUsmMIB. Thanks to Dave Vucich for reporting this.

commit 5206d25d4cb94d4b0dd331a5a4113d4d87782c42
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Mon Jul 2 12:14:39 2012 -0700

    better description of --disable-set-support

commit f92853281477ee724a51a9967f37d3f1dd1b0f7e
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Mon Jul 2 12:09:50 2012 -0700

    remove duplicate definitions causing a problem

commit 5be27368751691fc1ab55fe62b4106d8d99b8704
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Mon Jul 2 12:06:58 2012 -0700

    after pulling all the branches, switch back to the initial one

commit 82596a69f5ce53d5a6f0af4215c98d6184dab4d4
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Fri Jun 22 14:04:50 2012 +0100

    Unpick merge conflict.
    (Not sure why this wasn't flagged up earlier - or maybe I just missed it!)
    (cherry picked from commit b05bd78f9f234bb57a00b54c5bfb1de32a09f4a4)

commit 6a075ae494c76b82eea96327cf5242df048743db
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Fri Jun 22 14:21:08 2012 +0100

    version update for 5.6.2.rc3

commit a37e7e02945147bfe6cadb9571706c6b2ec743bf
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Fri Jun 22 14:17:42 2012 +0100

    version update for 5.6.2.rc3

commit b05bd78f9f234bb57a00b54c5bfb1de32a09f4a4
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Fri Jun 22 14:04:50 2012 +0100

    Unpick merge conflict.
    (Not sure why this wasn't flagged up earlier - or maybe I just missed it!)

commit 4d15742c750a96a4dbb3da874741ae152489f8d5
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Fri Jun 22 13:58:07 2012 +0100

    Release Candidate for V5-6-patches

commit f6b5e3376ed3a8e9eaf74b7d6822b3a765772ee8
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Fri Jun 22 13:57:56 2012 +0100

    Version number update: 5.6.2.rc3

commit 5cfb0811127a653dff0f4e53ad6029e2298a6c62
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Fri Jun 22 13:28:37 2012 +0100

    Release Candidate for V5-5-patches

commit e72e205fdcef787ef840c8c928ed27351a69544b
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Fri Jun 22 13:58:07 2012 +0100

    Release Candidate for V5-6-patches

commit f79a54f2472508b167d977f367c3864b5621e89d
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Fri Jun 22 13:42:53 2012 +0100

    version update for 5.5.2.rc3

commit 56ef5f0db51cfd55226f82f94f3f3d2450e4feb5
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Fri Jun 22 13:39:32 2012 +0100

    version update for 5.5.2.rc3

commit af1d00ab0246275dadb5f0cd3a23a77d5f5598cd
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Fri Jun 22 13:28:37 2012 +0100

    Release Candidate for V5-5-patches

commit f18776d63a516020317e58875ab24352d5db8651
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Fri Jun 22 13:28:26 2012 +0100

    Version number update: 5.5.2.rc3

commit fe107794e7400d239e8af3da8b4a3fbef06b5da9
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Fri Jun 22 13:28:37 2012 +0100

    Release Candidate for V5-5-patches

commit 0f84fbcf71995bddafab500d87c9c5a6f461a734
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Fri Jun 22 12:29:34 2012 +0100

    CHANGES: snmpd: PATCHES: 3479740: Fix hrSWRunPerf statistics

commit 1e3bb6060be6156d3ff316c5a7e4fd7f05e37cff
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Fri Jun 22 12:11:56 2012 +0100

    NEWS: snmpd: BUG: 3532090: Fix high ifIndex values crashing hrDeviceDescr

commit e8663fac8b88663282669726a08f16db16b5f4db
Author: Jan Safranek <jsafranek@users.sourceforge.net>
Date:   Mon Jun 18 13:30:25 2012 +0200

    Revert "CHNAGES: snmpd: fixed snmpd exiting shortly after start due to incoming signal."
    
    This reverts commit b11a4e93f50d8a544f835f376c3a4b8c0641a31a,
    we're in RC-phase and code is frozen
    
    (sorry for noise)

commit b11a4e93f50d8a544f835f376c3a4b8c0641a31a
Author: Jan Safranek <jsafranek@users.sourceforge.net>
Date:   Mon Jun 11 16:26:09 2012 +0200

    CHNAGES: snmpd: fixed snmpd exiting shortly after start due to incoming signal.

commit a570238d58eb5a996b56f01a27a18df6f37d0f60
Author: Jan Safranek <jsafranek@users.sourceforge.net>
Date:   Mon Jun 11 14:20:25 2012 +0200

    More precisely describe -c option.

commit 48cc39f1aa0fa6ce955ef76b25db8f9dca06b80d
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Sat Jun 2 09:27:10 2012 -0700

    version update for 5.7.2.pre1

commit 810185ae0b0cd2ad4d424a1ba775ef5ceaf50f03
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Sat Jun 2 09:24:19 2012 -0700

    make depend for 5.7.2.pre1

commit 6271471e01282f3675724eaf1358ceb0e95ddd4e
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Sat Jun 2 08:32:40 2012 -0700

    Version number update: 5.7.2.pre1

commit fcb782aa8893134c7414a926d9268594f725b915
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Sat Jun 2 08:32:18 2012 -0700

    version update for 5.7.2.pre1

commit e3bcd87c72fcea7706e868b5ace75296093f7497
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Thu May 31 14:09:42 2012 +0100

    Fix dist/release format

commit d813ce2eeefc68229cfcaf20603244cdd6d09d3c
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Thu May 31 14:07:52 2012 +0100

    Fix dist/release format

commit fa7bd581e3783685db39c9b4eaf847be5ac86fd3
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Thu May 31 13:53:10 2012 +0100

    version update for 5.6.2.rc2

commit 0739e2382d31146aca3205244cf70788b40a428d
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Thu May 31 13:51:45 2012 +0100

    version update for 5.6.2.rc2

commit d9a15445aa74f5316bfc711c1558467872c2958c
Author: Dave Shield <D.T.Shield@liverpool.ac.uk>
Date:   Thu May 31 13:50:12 2012 +0100

    make depend for 5.6.2.rc2
[--snip--]
